/*

 Nokia 3310   84  48 
         _______                             _______
		|	    |  1  2  3  4  5  6  7  8   |       |
        |       |___________________________|       |
		|                                           |
		|                                           |
		|                                           |
		|                        |
		|                                           |
		|                                           |
		|                                           |
		|                                           |
         -------------------------------------------
		 
1 -  + 3.....5 
2 - SCL
3 - SDA
4 - D/C
5 - CS -     ( - )
6 - Gnd
7 - Vout  -    1   
8 - Reset

      3 - 5 



 !!!
             LCD_3310_universal.c



     .
   ,       .
  Panda 85 
   88 ,   
  MCV  ,  ,    3310
    .

     -  -,     -  
 
    .

     2 : LCD_3310.h  LCD_3310_universal.c ,       .

*/


#ifndef _LCD_LIB_  //     ;  -  
#define _LCD_LIB_  //     ;  -  
extern unsigned char posx, posy;

// library function prototypes
void sp(char data_to_lcd);  //  SPI
void LCD_init(void); //  
void LCD_refresh (void);  //   ( )
void LCD_clear (void); //  
void LCD_pixel (unsigned char x, unsigned char y, unsigned char color); //++  .      

void LCD_line ( char x1, char y1, char x2, char y2, char mode );  //   , mode=1 - , 0 -  
// LCD_line (2,2,5,2,1) -      3  

void LCD_dashline ( char x1, char y1, char x2, char y2);  //   
// LCD_dashline (2,2,15,2) -       13    3    

void LCD_rectangle(char x, char y, char x1, char y1,unsigned char color);  //   color =1 - , 0 - 
// LCD_rectangle( 3,2,9,8,1) -    66  3    4 

void LCD_fillrect  (char x, char y, char x1, char y1,unsigned char color); //  
// LCD_fillrect( 3,2,9,8,1) -     66  3    4 

void LCD_setxy(char x,unsigned char y);        //   
void LCD_deg12x16(unsigned char c, unsigned char color);    //   color =1 - , 0 - ()
// LCD_deg12x16(5, 1);   5  

void LCD_frame(unsigned char x);  //        
unsigned char LCD_get_char_len(unsigned char ch); //        
 
void LCD_char(unsigned char ch, unsigned char color);    //    MCV
// LCD_char(125,1); -   125  
// LCD_char(min[0]+48, 1); -   min[0]   ,  48 -     
// LCD_char('A',1); - 

void  LCD_wrs (unsigned char*str,unsigned char color); //     
// LCD_setxy(10,30);   
// LCD_wrs(tmp, 0);     tmp   (  ) 
     
void LCD_wrsf (unsigned char flash*str,unsigned char color); //     
// LCD_wrsf("Friquency",1);    Friquency   


//    

void LCD_char_F(unsigned char c, unsigned char color);    // ++      !!!!!
void LCD_wrs_F (unsigned char *str, unsigned char color); // ++          
void LCD_wrsf_F (unsigned char flash*str, unsigned char color); // ++     

void LCD_bold_frame(unsigned char x);
void LCD_bold_char(unsigned char ch, unsigned char color);    // ++      MCV
void LCD_bold_wrs (unsigned char*str,unsigned char color); // ++       
void LCD_bold_wrsf (unsigned char flash*str,unsigned char color); // ++      

void LCD_boldU_char(unsigned char ch, unsigned char color);    // ++      1610
void LCD_boldU_wrs (unsigned char*str,unsigned char color); // ++        1610
void LCD_boldU_wrsf (unsigned char flash*str,unsigned char color); // ++       1610  

#endif  //     ;  -  
